Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo
Interface Bamboo

All Known Implementing Classes:
  BambooContainer

    public interface Bamboo

This interface provides a simple Facade for accessing Bamboo.

This acts as a uniform API for accessing the system - web actions, soap calls and such like all use this interface.

Field Summary
`static String` | `BAMBOO_KEY` The key for the Bamboo instance stored in the action's servlet context

Method Summary
`void` | `addBuildListener(BuildEventListener listener)` Register the given build listener with system build detector
`void` | `clearErrorMessages()` deletes all error messages
`void` | `deleteBuild(Build build)` Remove the build from the system
`void` | `deleteBuildResults(Build build, long buildNumber)` Remove the build's build results
`AdministrationConfiguration` | `getAdministrationConfiguration()`
`Collection` | `getAllBuildJdks()` Get all the available JDKs.
`File` | `getBuildDirectory()` What is the root build directory? The build directory is where builds are checked out and built.
`Map` | `getBuilderLabelPathMaps()` Get all the currently registered builders
`BuilderManager` | `getBuilderManager()`
`ErrorDetails` | `getBuildErrorDetails(String buildName, int errorNumber)` Obtain the errorNumber'th error for the given buildName from the internal system error log
`BuildExpiryConfiguration` | `getBuildExpiryConfiguration()` Obtain the system's build expiry configuration
`List` | `getBuildQueues()` Obtain the system's build queue.
`BuildResults` | `getBuildResults(Build build, long buildNumber)` Get the n'th build build results for the given build
`Build` | `getBuildWithKey(String buildKey)` Deprecated. Use `BuildManager.getBuildByKey(String)` instead
`Persister` | `getDefaultPersister()` Which persister is the system using?
`Collection` | `getErrorMessages()` Obtain all of the system logged error messages
`Collection` | `getErrorMessages(String buildName)` Obtain all of the logged error messages associated with a build
`Collection` | `getRepositories()` Get all the currently registered repositories
`Repository` | `getRepository(String repositoryName)` Get a specific repository
`SessionManager` | `getSessionManager()` Which session manager is the system using?
`String` | `getVersion()` What is the version of the application
`boolean` | `isInitialised()` Has the system been initialised correctly?
`void` | `killBuild(Build build, User user)` Remove the build from the build queue.
`void` | `removeBuildErrorFromLog(String buildName, int errorNumber)` Remove the errorNumber'th error for the given buildName from the internal system error log
`void` | `removeBuildFromQueues(Build build)`
`void` | `restartComponentsFollowingConfigurationChange()` Restart the components that depend on the current system configuration whenever the configuration has been changed.
`void` | `setBuildExpiryConfiguration(BuildExpiryConfiguration buildExpiryConfiguration)` Adjust the system's build expiry confguration
`void` | `start()` Start Bamboo
`void` | `stop()` Stop bamboo

Field Detail

### BAMBOO_KEY

    static final String BAMBOO_KEY

  The key for the Bamboo instance stored in the action's servlet context

  See Also:
    Constant Field Values

Method Detail

### isInitialised

    boolean isInitialised()

  Has the system been initialised correctly?

  Returns:
    true iff it has been initialised.

### addBuildListener

    void addBuildListener(BuildEventListener listener)

  Register the given build listener with system build detector

  Parameters:
    `listener` - The listener

### deleteBuild

    void deleteBuild(Build build)

  Remove the build from the system

  Parameters:
    `build` - The build to remove

### deleteBuildResults

    void deleteBuildResults(Build build,
                            long buildNumber)

  Remove the build's build results

  Parameters:
    `build` - The build who's build we are deleting
    `buildNumber` - The number of the build to delete

### getAllBuildJdks

    Collection getAllBuildJdks()

  Get all the available JDKs.

  Returns:
    The collection of JDKs

### getRepositories

    Collection getRepositories()

  Get all the currently registered repositories

  Returns:
    The reposistories

### getRepository

    Repository getRepository(String repositoryName)

  Get a specific repository

  Parameters:
    `repositoryName` - The name of the desired repository
  Returns:
    The repository with the given repositoryName

### getBuilderLabelPathMaps

    Map getBuilderLabelPathMaps()

  Get all the currently registered builders

  Returns:
    The builders

### getBuildQueues

    List getBuildQueues()

  Obtain the system's build queue.

  Returns:
    The current build queue

### getBuildWithKey

    Build getBuildWithKey(String buildKey)

  Deprecated. Use `BuildManager.getBuildByKey(String)` instead

  Get the build with the given buildName

  Parameters:
    `buildKey` - the unique build key
  Returns:
    The build

### getBuildResults

    BuildResults getBuildResults(Build build,
                                 long buildNumber)

  Get the n'th build build results for the given build

  Parameters:
    `build` - The build
    `buildNumber` - The buildNumber of the desired build
  Returns:
    The build results, null if one does not exist.

### killBuild

    void killBuild(Build build,
                   User user)

  Remove the build from the build queue.

  Parameters:
    `build` - The build who's build we want to kill
    `user` -

### start

    void start()

  Start Bamboo

### stop

    void stop()

  Stop bamboo

### restartComponentsFollowingConfigurationChange

    void restartComponentsFollowingConfigurationChange()

  Restart the components that depend on the current system configuration whenever the configuration has been changed.

### getVersion

    String getVersion()

  What is the version of the application

  Returns:
    the version

### getBuildDirectory

    File getBuildDirectory()

  What is the root build directory? The build directory is where builds are checked out and built.

  Returns:
    The build directory.

### getErrorMessages

    Collection getErrorMessages()

  Obtain all of the system logged error messages

  Returns:
    the collection of ErrorMessages

### getErrorMessages

    Collection getErrorMessages(String buildName)

  Obtain all of the logged error messages associated with a build

  Returns:
    the collection of ErrorMessage objects

### clearErrorMessages

    void clearErrorMessages()

  deletes all error messages

### removeBuildErrorFromLog

    void removeBuildErrorFromLog(String buildName,
                                 int errorNumber)

  Remove the errorNumber'th error for the given buildName from the internal system error log

  Parameters:
    `buildName` - The name of the build with the associated error
    `errorNumber` - The error number (zero based index of error associated with build)

### getBuildErrorDetails

    ErrorDetails getBuildErrorDetails(String buildName,
                                      int errorNumber)

  Obtain the errorNumber'th error for the given buildName from the internal system error log

  Parameters:
    `buildName` - The name of the build with the associated error
    `errorNumber` - The error number (zero based index of error associated with build)

### getDefaultPersister

    Persister getDefaultPersister()

  Which persister is the system using?

  Returns:
    The persister

### getSessionManager

    SessionManager getSessionManager()

  Which session manager is the system using?

  Returns:
    The session manager

### getBuildExpiryConfiguration

    BuildExpiryConfiguration getBuildExpiryConfiguration()

  Obtain the system's build expiry configuration

  Returns:
    The config

### setBuildExpiryConfiguration

    void setBuildExpiryConfiguration(BuildExpiryConfiguration buildExpiryConfiguration)

  Adjust the system's build expiry confguration

  Parameters:
    `buildExpiryConfiguration` -

### getBuilderManager

    BuilderManager getBuilderManager()

### getAdministrationConfiguration

    AdministrationConfiguration getAdministrationConfiguration()

### removeBuildFromQueues

    void removeBuildFromQueues(Build build)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.